Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class CompanionRoot

    java.lang.Object
      |
      +--oracle.apps.cz.cio.CompanionRoot

public abstract class CompanionRoot
extends java.lang.Object

Provides functional companion implementors with property-based feature extraction.

An abstract class to be extended by functional companion implementors which attaches `CompanionNode` objects to runtime nodes and makes model features available to the function companion through a flexible system of property-based annotations.

In order to use this class, the implementor should provide implementations of `getNodeIdentifier`, which returns the name of the property used to identify runtime nodes to which `CompanionNode`s will be attached, `getFeatureIdentifier` which returns the name of the property used to identify features of the `CompanionNode`, and `getNodeClass` which maps the value of the `getNodeIdentifier` property to the subclass of `CompanionNode` that should be instantiated to represent a particular node.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Constructor Summary
`CompanionRoot(oracle.apps.cz.cio.IRuntimeNode root)` Creates a tree of companion node objects based on property annotations.

Method Summary
`abstract java.lang.String` | `getFeatureIdentifier()` Returns the name of the property used to identify companion features.
`abstract java.lang.String` | `getNodeClass(java.lang.String nodeType)` Maps a node type to the class used to represent the node.
`abstract java.lang.String` | `getNodeIdentifier()` Returns the name of the property used to identify companion nodes.
`com.sun.java.util.collections.List` | `getRootNodes()` Returns the root CompanionNode objects.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Constructor Detail

### CompanionRoot

    public CompanionRoot(oracle.apps.cz.cio.IRuntimeNode root)

  Creates a tree of companion node objects based on property annotations.

Method Detail

### getNodeIdentifier

    public abstract java.lang.String getNodeIdentifier()

  Returns the name of the property used to identify companion nodes. Runtime nodes that have a property of this name will be mapped to `CompanionNode` objects. The value of the property will be mapped through the `getNodeClass` method to determine which subclass of `CompanionNode` to instantiate.

### getFeatureIdentifier

    public abstract java.lang.String getFeatureIdentifier()

  Returns the name of the property used to identify companion features.

### getNodeClass

    public abstract java.lang.String getNodeClass(java.lang.String nodeType)

  Maps a node type to the class used to represent the node.

### getRootNodes

    public com.sun.java.util.collections.List getRootNodes()

  Returns the root CompanionNode objects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.